#ifndef buffer_h
#define buffer_h

extern
void* getBufPtr(JNIEnv *env,jobject buf, jobject type, int offset,
		int count, jboolean copy_in);

extern
void releaseBufPtr(JNIEnv *env,jobject buf, jobject type,
                   void* bufptr, int offset, int count, int release);

#define BUF_RELEASE 1
#define BUF_WRITEBACK 2

#endif
